using log4net;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Txgy.EWS.Client.ILog;

namespace Txgy.EWS.Client.Log
{
    public class LogHelper : ILogHelper
    {
        public void Debug(object source, string msg)
        {
            //// 控制台的 
            //Console.WriteLine("");
            //// 写文件

            log4net.ILog Logger = LogManager.GetLogger(source.GetType());
            Logger.Debug(msg);

        }

        public void Error(object source, string msg)
        {
            log4net.ILog Logger = LogManager.GetLogger(source.GetType());
            Logger.Error(msg);
        }
    }
}
